Subject: Re: [MOBILE-IP] [Fwd: draft-ietf-mobileip-3gwireless-ext-04.txt]

From: [email-masked]
Date: Fri, 18 Aug 2000 17:52:06 -0500

Pat,
I don't think  we are wasting the IETF resources. We made the draft first and
not sure how long it will take to be a RFC status (you properly know better).
But we do have the time limit w.r.t to our standard.

---Yingchun.

"pcalhoun/@eng.sun.com" <Pat.Calhoun on 08/18/2000 05:34:37 PM

Please respond to "[email-masked]" <[email-masked]>

Sent by:  "[email-masked]" <Pat.Calhoun

To:   Yingchun Xu/MW/US/3Com
cc:   "pcalhoun @eng.sun.com" <[email-masked]>,
      [email-masked]
Subject:  Re: [MOBILE-IP] [Fwd: draft-ietf-mobileip-3gwireless-ext-04.txt]

Ah, then why waste IETF resources? You can easily go to IANA and request the
numbers that you need.

PatC

>
>
> Pat,
> Well, the experience from TIA TR45.6 working group has tought us a lesson.
> Intead of referenceing the draft, we have copied the whole content of the
> draft into the IOS4.1 standard.
>
> --Yingchun
>
>
>
>
> "pcalhoun/@eng.sun.com" <Pat.Calhoun on 08/18/2000 03:41:15 PM
>
> Please respond to "[email-masked]" <[email-masked]>
>
> Sent by:  "[email-masked]" <Pat.Calhoun
>
>
> To:   [email-masked]
> cc:    (Yingchun Xu/MW/US/3Com)
> Subject:  Re: [MOBILE-IP] [Fwd: draft-ietf-mobileip-3gwireless-ext-04.txt]
>
>
>
> > If has actually been published in IS-2001 and is being developed to (I
> > hope).
>
> How could it have been published, without an RFC number, given that the
> document would surely be a normative reference?
>
> PatC
> >
> > Mark A. Lipford
> >
> >
> >                 -----Original Message-----
> >                 From:   Charles E. Perkins [mailto:[email-masked]]
> >                 Sent:   Friday, August 18, 2000 3:27 PM
> >                 To:     [email-masked]
> >                 Subject:        [MOBILE-IP] [Fwd:
> > draft-ietf-mobileip-3gwireless-ext-04.txt]
> >
> >                 Hello folks,
> >
> >                 I have sent the following message earlier this afternoon, in
> > an
> >                 attempt to reopen discussion about the abovementioned
> > Internet
> >                 Draft which is currently under consideration for
> > Experimental status.
> >
> >                 Yingchun has informed me that the 3gwireless approach has
> > been
> >                 implemented as part of the IOS 4.1 standard within CDMA2000.
> >                 I do not know whether that should affect the discussion at
> > this
> >                 point in time.
> >
> >                 Regards,
> >                 Charlie P.
> >
> >
> >                 -------- Original Message --------
> >                 Subject: draft-ietf-mobileip-3gwireless-ext-04.txt
> >                 Date: Fri, 18 Aug 2000 13:08:28 -0700
> >                 From: "Charles E. Perkins" <[email-masked]>
> >                 Organization: Nokia Research Center
> >                 To: [email-masked],
> > [email-masked],[email-masked],
> >                 [email-masked],[email-masked],Gopal
> > Dommety
> >                 <[email-masked]>,
> > [email-masked],[email-masked],
> >
> > [email-masked],[email-masked],
> >                 [email-masked],[email-masked], [email-masked],
> >                 [email-masked],[email-masked], [email-masked],
> >                 [email-masked],[email-masked],
> >                 [email-masked],[email-masked],
> >                 [email-masked],[email-masked],
> >                 [email-masked],[email-masked],
> >                 [email-masked],"Lipford, Mark"
> >                 <[email-masked]>,[email-masked],
> > [email-masked]
> >                 CC: Tom Hiller <[email-masked]>,Phil Roberts
> >                 <[email-masked]>,"Basavaraj Patil (NTC/Dallas)"
> >                 <[email-masked]>,David Oran <[email-masked]>, Rob
> > Coltun
> >                 <[email-masked]>
> >                 BCC: Pat Calhoun <[email-masked]>,James Kempf
> > <[email-masked]>
> >
> >
> >                 Hello draft co-authors,
> >
> >                 >From the discussion below, and after a careful re-reading
> > of the draft,
> >                 I hope to show that this protocol specification does not at
> > all fit
> >                 well within the mainstream of work within the mobile-ip
> > working group.
> >                 I believe that it is actively harmful, because any core
> > network
> >                 implementing their protocol would find it correspondingly
> > much more
> >                 difficult to implement "actual" Mobile IP specifications.  I
> > say
> >                 "actual" in quotes because the specifications in question
> > are not
> >                 yet Proposed Standard, and also because I do not think that
> > the
> >                 3gwireless specification fits well in its current
> > formulation nor
> >                 has it received sufficient working-group review.
> >
> >                 The first basic problem with the 3G wireless draft is the
> > specification
> >                 of the Registration Update and the Registration
> > Acknowledgement
> >                 message types.  Neither of them is clearly specified, and to
> > the
> >                 extent that I understand their purpose, neither one is
> > necessary.
> >                 The intended results of those messages are done better by
> > use of
> >                 the Binding Update and Binding Acknowledgement messages
> > which are
> >                 already specified in the Route Optimization draft.
> >
> >                 The respecification of the Registration Request draft is
> > also
> >                 faulty, and exhibits the well-known fallacy of doing the
> > same
> >                 thing in two different ways.  In this particular instance,
> > we
> >                 see that the alt-Registration Request message has failed to
> > keep
> >                 up with recent developments regarding the 'V' bit.  We can
> > expect
> >                 this to continue, especially given the strong likelihood
> > that
> >                 some new Mobile IP developments will involve interactions
> > between
> >                 the Registration Request message and AAA services.
> >
> >                 Figuring out when to send an alt-Registration Request will
> > be
> >                 additionally complicated by the standardization of the
> > upcoming
> >                 Regional Registration protocol specification, which is
> > currently
> >                 in Last Call.
> >
> >                 Another element of confusion is represented by the lack of
> >                 IP addressability for mobile nodes subordinate to the
> > protocol
> >                 operations described in the 3gwireless draft.  In fact,
> > nowhere
> >                 in the draft is there any indication that mobile nodes in
> > their
> >                 system will have IP addresses.  Furthermore, mobile nodes in
> >                 this draft are basically identified by a MN ID field, which
> > is
> >                 expected to be the same as the mobile node's IMSI.  Recent
> > work
> >                 within the mobile-ip working group has gone in the direction
> > of
> >                 using the NAI for analogous purposes of allowing a
> > Registration
> >                 Request to emanate from a mobile node that does not yet have
> >                 a home address assigned.  I would suggest that the
> > 3gwireless
> >                 draft use the NAI extension instead of their current MN ID.
> >                 The IMSI is widely expected to show up as data within NAI
> >                 extensions to Mobile IP registration requests, so this
> > should
> >                 not cause any problems to the 3gwireless authors.
> >
> >                 As an example to support my contention that this draft is
> > actively
> >                 harmful to current work items within the mobile-ip working
> > group,
> >                 say that a PDSN implements Regional Registrations.  This is
> > very
> >                 likely, given recent discussion.  How then would such a PDSN
> > manage
> >                 its route tables if it ever received a message on port 697?
> >                 It might be very difficult to figure this out.  It would be
> >                 possible to get messages that required incompatible
> > operations.
> >
> >                 Similarly, if a mobile node implements smooth handover
> > messages
> >                 using IPv4 Binding Updates, then there would be a conflict
> > between
> >                 actions required by the Binding Update message and the port
> > 697
> >                 messages.
> >
> >                 I have numerous other syntactic and editorial comments that
> > I
> >                 think would need attention before the draft should be
> > considered
> >                 at all.  If need be, I will supply these additional
> > comments.
> >                 However, before going to that trouble, I think that it is
> > more
> >                 important to consider the viability of the draft.  I hope
> > that the
> >                 authors of the draft will follow through on their previous
> > agreement
> >                 to find a better integration strategy with other existing
> > mobile-ip
> >                 working group drafts, specifically including Route
> > Optimization and
> >                 Regional Registration.  If it is the contention of the
> > 3gwireless
> >                 authors that the previous drafts are too complicated for
> > their
> >                 implementation purposes, then we should have the discussion.
> >                 I have offered to do so, more than once.  One possible
> > outcome
> >                 would be to get simpler drafts for specific protocol
> > features
> >                 needed by the 3gwireless authors.
> >
> >                 I note that Nortel Networks had brought some similar
> > concerns to
> >                 light a couple of years ago, and we reached a beneficial
> > improvement
> >                 to the Route Optimization draft which allowed the inclusion
> > of
> >                 multiple correspondent node addresses in the Binding Warning
> >                 message.  I fully expect that we can make similar
> > improvements
> >                 as needed to the IPv4 Binding Update message for use in the
> >                 role needed by the authors of the 3gwireless draft.
> >
> >                 I also note that the name of the draft is misleading.  As
> > far as
> >                 I know, there is no consensus behind this protocol
> > specification
> >                 within 3GPP or within MWIF.  I also do not think there is
> > any
> >                 consensus behind this protocol within 3GPP2, but I note that
> >                 several of the listed authors are indeed active within
> > 3GPP2.
> >                 My guess is that this draft has limited support even there.
> > But
> >                 either way, it seems very clear to me that the draft should
> > NOT
> >                 be named in any way to imply that it represents _the_ 3G
> > solution
> >                 for wireless mobility management.  Far from it.
> >
> >                 Lastly, I note that this draft has attracted almost no
> > discussion
> >                 within the mobile-ip working group.  When I asked several
> > others
> >                 about it, they said it was because most people generally
> > don't care.
> >                 But I care.  I care because I think it is damaging to the
> > progress of
> >                 other longstanding mobile-ip working group items.  In order
> > to best
> >                 meet the needs of all parties, I offer my best effort to
> > work with
> >                 the authors of the 3gwireless draft to make the other drafts
> > meet
> >                 their needs.  I hope this will be sufficient to resolve what
> > could
> >                 otherwise be a situation causing problems for the future.
> >
> >                 Sincerely,
> >                 Charles E. Perkins
> >
> >                 PS. I regret that I have only now been able to make time for
> > this
> >                     set of comments.  It would have been much better to
> > raise the
> >                     discussion during working-group last call, but that
> > slipped
> >                     right by me and was over before I knew it.
>
>
>
>

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 18 Aug 2000 15:58:30 -0700

Let me be more explicit (and this is just honesty here, I am not trying to
p*ss anyone off).

You write a draft, submit it. Meanwhile you document it, and publish a
document prior to knowing whether the IETF will accept it as is. The IESG does
a last call, and comments come in. You state it is too late because your
document has been published.

The fact is that IETF procedures, be them as it may, are set, and we have to
live by them. If significant comments come back during the last call process,
the authors have to address them, if they want the draft to be published as a
WG work item.

Your options, are I see it are the following (either way you get an RFC
number): 1. Publish as Informational (as a non WG document), as is.
2. Go for either experimental or Proposed Standard, and address the comments.

If you wish to have #2 and not address the comments, because it is published
in IS-2001, then I believe this is wasting the WG's time because our review
(or lack thereof :), is being ignored anyways. That was my point.

PatC